<id>
Ignore User Post UK SP1.3.x
</id>

<version>
2.0c
</version>

<mod info>
This mod allows each user to ignore the blatant post of other regged users for a while.
This is a rework of version 1
The differences are:
- Ignore/UnIgnore toggle button is now in the message options menu.
- the messages of Ignored users are replaced by an admin settable text.
- This text may contain the usual YaBBC tags to make it look like a normal message.

Installation

Use boardmod to patch the script files and language definitions and upload the modified versions.
Upload th IgnoreUser.pl to /Sources and chmod 644
Upload the images in YaBBImages
Upload the ignore.txt in /Variables

And.... it should work ;-)

Version history
2.0
First release

2.0a
Added immunity for admins, global moderators and moderators.
They are no immune to users blocking.
Also added an extra check to prevent faking of the url to ignore staff.

2.0b
Fixed forgotten line of code.

2.0c
Made moderator immune on his forum to outside forum ignores.

</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.yabb.nl
</homepage>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=modagreement">$txt{'764'}</a><br>
</search for>

<add after>
	- <a href="$cgi;action=ignoreedit">$igntxt{'4'}</a><br>
</add after>

<edit file>
Sources/Sublist.pl
</edit file>

<search for>
'ipban',"Admin.pl&ipban",
</search for>

<add after>
'ignore',"IgnoreUser.pl&Ignore",
'ignoreedit',"IgnoreUser.pl&EditIgnore",
'ignoreedit2',"IgnoreUser.pl&EditIgnore2",
</add after>

<search for>
'viewprofile',"Profile.pl&ViewProfile",
</search for>

<add after>
'unignore',"IgnoreUser.pl&UnIgnore",
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
sub Display {
</search for>

<replace>
require "$sourcedir/IgnoreUser.pl";

sub Display {
	fopen(FILE, "$vardir/ignore.txt") || &fatal_error("300 $txt{'106'}: $txt{'23'} ignore.txt");
	@ignoretxt = <FILE>;
	fclose(FILE);
	$ignoretxt = join( "", @ignoretxt );
	$ignoretxt =~ s/\n/<br>/g;
</replace>

<search for>
		$message = $postmessage; # put the message back into the proper variable to do ubbc on it
</search for>

<replace>
		&OnMyIgnoreList($musername);
		$ignimg="";
		$status="0";
		if($userprofile[7] eq 'Global Moderator' || $userprofile[7] eq 'Administrator' || exists ($moderators{$useraccount{$musername}})){ $status="1"}
		if ($result eq "no" || $status eq "1") {
			$message = $postmessage; # put the message back into the proper variable to do ubbc on it
			if($username ne 'Guest') {$ignimg  = qq~<a href="$cgi\;action=ignore\;user=$musername;thread=$viewnum\;id=$counter\;do=$status"><img src="$imagesdir/ignore.gif" alt="$igntxt{'2'}" border="0"><font size="1" class="imgwindowbg">$igntxt{'2a'}</font></a>~;}
		} else { $message = $ignoretxt; 
			if($username ne 'Guest') {$ignimg  = qq~<a href="$cgi\;action=unignore\;user=$musername;thread=$viewnum\;id=$counter"><img src="$imagesdir/unignore.gif" alt="$igntxt{'3'}" border="0"><font size="1" class="imgwindowbg">$igntxt{'3a'}</font></a>~;}
		}
		if($userprofile[7] eq 'Global Moderator' || $userprofile[7] eq 'Administrator' || exists ($moderators{$useraccount{$musername}})){ $ignimg="";}
</replace>

<search for>
                <a href="$cgi;action=post;num=$viewnum;quote=$counter;title=$txt{'116'};start=$start">$img{'replyquote'}</a>$menusep<a href="$cgi;action=modify;message=$counter;thread=$viewnum">$img{'modify'}</a>
</search for>

<add before>
                $ignimg$menusep
</add before>


<edit file>
english.lng
</edit file>

<search for>
1;
</search for>

<add before>

%igntxt=(
'1' => "Ignore User Post Settings.",
'1a' => "This text will replace the original messages from a blocked user.<br>YaBBC tags are allowed in it.",
'2' => "Ignore User",
'2a' => "Ignore",
'3' => "Un-Ignore User",
'3a' => "Un-Ignore",
'4' => "Edit Ignore User Text",
'5' => "You are not allowed to Ignore a Staff Member !"
);

</add before>
